# Uses of Class
javax.help.JHelpContentViewer

Packages that use JHelpContentViewer
Package
Description
javax.help
Supports presentation of online documentation with both content and contextual views of this information.
javax.help.plaf.basic

## Uses of JHelpContentViewer in javax.help

Fields in javax.help declared as JHelpContentViewer
Modifier and Type
Field
Description
`protected JHelpContentViewer`
JHelp.`contentViewer`
Methods in javax.help that return JHelpContentViewer
Modifier and Type
Method
Description
`JHelpContentViewer`
JHelp.`getContentViewer()`
Retrieves what is the current content viewer Read-Only property?

## Uses of JHelpContentViewer in javax.help.plaf.basic

Fields in javax.help.plaf.basic declared as JHelpContentViewer
Modifier and Type
Field
Description
`protected JHelpContentViewer`
BasicContentViewerUI.`theViewer`
`protected JHelpContentViewer`
BasicGlossaryNavigatorUI.`viewer`
Methods in javax.help.plaf.basic that return JHelpContentViewer
Modifier and Type
Method
Description
`protected JHelpContentViewer`
BasicGlossaryNavigatorUI.`getContentViewer()`
Constructors in javax.help.plaf.basic with parameters of type JHelpContentViewer
Modifier
Constructor
Description
``
`BasicContentViewerUI(JHelpContentViewer b)`